# 🐳🎮 RetroFW Docker Buildroot

The RetroFW Docker Buildroot is a Docker image designed to install the [RetroFW Buildroot](https://github.com/retrofw/buildroot-retrofw-2.3) in an elegant, platform-independent and containerized way.
The ultimate goal is to simplify the software development process for RetroFW users, by automating the installation of dependencies and common libraries, and avoiding all the conflicts that the Buildroot can cause while compiling other software.

⚠️ **Check out the [Wiki](/massivebox/retrofw-docker-buildroot/wiki) for more information, detailed installation instructions, troubleshooting tips, examples, support and more.**

### Quick get-started guide
1. Get the image using `docker pull gitea.massivebox.net/massivebox/retrofw-docker-buildroot:latest`
2. Create a container that uses the provided image using `docker create -v CHANGEME:/mount --name buildroot gitea.massivebox.net/massivebox/retrofw-docker-buildroot`. Replace `CHANGEME` with the absolute path of a folder in your computer where you will be able to edit files from inside the container.
3. Start the container using `docker start buildroot` and connect to its Bash shell using `docker exec -it buildroot /bin/bash`.
4. Compile your project as usual. If you're having issues, check out the [Troubleshooting wiki page](/massivebox/retrofw-docker-buildroot/wiki/Troubleshooting).
5. When you're done, stop the container with `docker stop buildroot`. Next time you want to compile using the Buildroot, repeat from step 3.

### Licensing
The code in this repository is licensed under [GPLv3](https://www.gnu.org/licenses/gpl-3.0.html). The software that is required to run it and the software that it compiles might use a different license. Make sure to comply with all of them.  
The Wiki and the README.md file are licensed under [GFDL](https://www.gnu.org/licenses/licenses.html#FDL).